package com.ytpm.advertise.enums;

import lombok.Getter;

@Getter
public enum AdPlatformTypeEnum {
    CSJ(15,"穿山甲"),
    TENCENT(8,"腾讯广告"),
    BAIDU(22,"百度联盟"),
    KUAISHOU(28,"快手"),
    Sigmob(29,"Sigmob"),
    ;
    private int code;
    private String desc;

    AdPlatformTypeEnum(int code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static String getDesc(int code) {
        for (AdPlatformTypeEnum value : AdPlatformTypeEnum.values()) {
            if(code == value.code) {
                return value.desc;
            }
        }
        return "";
    }
}
